Page MenuHomePhabricator

Some input to Citoid extension, may already be URL encoded, and the Citoid extension encodes it again, resulting in double-encoded input to citoid.
Open, MediumPublic0 Estimated Story Points

Event Timeline

Pols12 created this task.Sep 24 2016, 1:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 24 2016, 1:50 PM
Izno moved this task from Unsorted backlog to External on the Cite board.Sep 24 2016, 2:27 PM

Change 313428 had a related patch set uploaded (by DLynch):
Decode likely URLs before sending them to citoid

https://gerrit.wikimedia.org/r/313428

DLynch added a subscriber: DLynch.Sep 29 2016, 4:52 PM

I noticed that it was clearly fetching the wrong page as well, since it was showing "mauvais titre" rather than the actual article title. Therefore, the patch decodes URLs before sending them to the citoid service.

Mvolz added a subscriber: Mvolz.

This is should really be done in the backend (citoid). (But probably no harm in duplicating it on front end).

Mvolz removed a project: Cite.Sep 30 2016, 12:21 PM
Mvolz renamed this task from Cite tool should not encode percent char in URI to Some input to citoid may already be URL encoded, and the Citoid extension encodes it again, resulting in double-encoded input. .Sep 30 2016, 1:59 PM
Mvolz renamed this task from Some input to citoid may already be URL encoded, and the Citoid extension encodes it again, resulting in double-encoded input. to Some input to Citoid extension, may already be URL encoded, and the Citoid extension encodes it again, resulting in double-encoded input to citoid..

Change 313428 merged by jenkins-bot:
Decode input before sending to citoid

https://gerrit.wikimedia.org/r/313428

Mvolz updated the task description. (Show Details)
Mvolz closed this task as Resolved.Oct 10 2016, 2:24 PM
Mvolz updated the task description. (Show Details)
Mvolz added a comment.Oct 15 2016, 6:15 AM

Dlynch did this one actually :)

Mvolz reassigned this task from Mvolz to DLynch.Oct 15 2016, 6:15 AM
eranroz added a subscriber: eranroz.May 8 2020, 5:44 AM

There is a fix in the frontend, but this bug still exists in the backend.

Other clients of citoid are also exposed to this bug. Example affected gadget: https://he.wikipedia.org/w/index.php?title=%D7%9E%D7%93%D7%99%D7%94_%D7%95%D7%99%D7%A7%D7%99:Gadget-Checkty.js&oldid=prev&diff=28037937&uselang=en

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 8 2020, 5:44 AM
kaldari reopened this task as Open.Sep 10 2020, 10:33 PM
kaldari added a subscriber: kaldari.

Reopening per @eranroz's comment above. I also confirmed that this bug occurs with RefToolbar on English Wikipedia (which also uses Citoid). We should implement a fix within the Citoid service itself, rather than just in VE.

@eranroz - I implemented a work-around for RefToolbar. You can probably use a similar work-around for Checkty: https://en.wikipedia.org/w/index.php?title=MediaWiki%3ARefToolbar.js&type=revision&diff=977779611&oldid=972381502.

Thanks - I already stole the fix from VE into the gadget.